Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class ReportSchedulerServiceLocator

    java.lang.Object
      org.apache.axis.client.Service
          com.jaspersoft.jasperserver.ws.scheduling.ReportSchedulerServiceLocator

All Implemented Interfaces:
  ReportSchedulerService, java.io.Serializable, javax.naming.Referenceable, javax.xml.rpc.Service

    public class ReportSchedulerServiceLocator

extends org.apache.axis.client.Service
implements ReportSchedulerService

ReportSchedulerServiceLocator.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis.client.Service
`org.apache.axis.client.Service.HandlerRegistryImpl`

Field Summary

Fields inherited from class org.apache.axis.client.Service
`_call`

Constructor Summary
`ReportSchedulerServiceLocator()`
`ReportSchedulerServiceLocator(org.apache.axis.EngineConfiguration config)`
`ReportSchedulerServiceLocator(java.lang.String wsdlLoc, javax.xml.namespace.QName sName)`

Method Summary
`java.rmi.Remote` | `getPort(java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.rmi.Remote` | `getPort(javax.xml.namespace.QName portName, java.lang.Class serviceEndpointInterface)` For the given interface, get the stub implementation.
`java.util.Iterator` | `getPorts()`
`ReportScheduler` | `getReportScheduler()`
`ReportScheduler` | `getReportScheduler(java.net.URL portAddress)`
`java.lang.String` | `getReportSchedulerAddress()`
`java.lang.String` | `getReportSchedulerWSDDServiceName()`
`javax.xml.namespace.QName` | `getServiceName()`
`void` | `setEndpointAddress(javax.xml.namespace.QName portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setEndpointAddress(java.lang.String portName, java.lang.String address)` Set the endpoint address for the specified port name.
`void` | `setReportSchedulerEndpointAddress(java.lang.String address)`
`void` | `setReportSchedulerWSDDServiceName(java.lang.String name)`

Methods inherited from class org.apache.axis.client.Service
`createCall, createCall, createCall, createCall, getAxisClient, getCacheWSDL, getCall, getCalls, getEngine, getEngineConfiguration, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, getWSDLService, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry, setTypeMappingVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### ReportSchedulerServiceLocator

    public ReportSchedulerServiceLocator()

### ReportSchedulerServiceLocator

    public ReportSchedulerServiceLocator(org.apache.axis.EngineConfiguration config)

### ReportSchedulerServiceLocator

    public ReportSchedulerServiceLocator(java.lang.String wsdlLoc,
                                         javax.xml.namespace.QName sName)
                                  throws javax.xml.rpc.ServiceException

Throws:
  `javax.xml.rpc.ServiceException`

Method Detail

### getReportSchedulerAddress

    public java.lang.String getReportSchedulerAddress()

  Specified by:
    `getReportSchedulerAddress` in interface `ReportSchedulerService`

### getReportSchedulerWSDDServiceName

    public java.lang.String getReportSchedulerWSDDServiceName()

### setReportSchedulerWSDDServiceName

    public void setReportSchedulerWSDDServiceName(java.lang.String name)

### getReportScheduler

    public ReportScheduler getReportScheduler()
                                       throws javax.xml.rpc.ServiceException

  Specified by:
    `getReportScheduler` in interface `ReportSchedulerService`
  Throws:
    `javax.xml.rpc.ServiceException`

### getReportScheduler

    public ReportScheduler getReportScheduler(java.net.URL portAddress)
                                       throws javax.xml.rpc.ServiceException

  Specified by:
    `getReportScheduler` in interface `ReportSchedulerService`
  Throws:
    `javax.xml.rpc.ServiceException`

### setReportSchedulerEndpointAddress

    public void setReportSchedulerEndpointAddress(java.lang.String address)

### getPort

    public java.rmi.Remote getPort(java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPort` in class `org.apache.axis.client.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getPort

    public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
                                   java.lang.Class serviceEndpointInterface)
                            throws javax.xml.rpc.ServiceException

  For the given interface, get the stub implementation. If this service has no port for the given interface, then ServiceException is thrown.

  Specified by:
    `getPort` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPort` in class `org.apache.axis.client.Service`
  Throws:
    `javax.xml.rpc.ServiceException`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Specified by:
    `getServiceName` in interface `javax.xml.rpc.Service`
  Overrides:
    `getServiceName` in class `org.apache.axis.client.Service`

### getPorts

    public java.util.Iterator getPorts()

  Specified by:
    `getPorts` in interface `javax.xml.rpc.Service`
  Overrides:
    `getPorts` in class `org.apache.axis.client.Service`

### setEndpointAddress

    public void setEndpointAddress(java.lang.String portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

### setEndpointAddress

    public void setEndpointAddress(javax.xml.namespace.QName portName,
                                   java.lang.String address)
                            throws javax.xml.rpc.ServiceException

  Set the endpoint address for the specified port name.

  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.